package domain


type AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest struct {
    /*
        2-经销，3-代销，6-寄售，默认为【6-寄售】 defalutValue:6    */
    MarketingType  *int64 `json:"marketing_type,omitempty" `

    /*
        门店ID     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        含税采购价格，单位【分】     */
    PurchasePriceWithTax  *int64 `json:"purchase_price_with_tax,omitempty" `

    /*
        1-基准价格，3-区间价格 defalutValue:1    */
    PriceType  *int64 `json:"price_type,omitempty" `

    /*
        区间价格生效时间     */
    EffectiveStartTime  *int64 `json:"effective_start_time,omitempty" `

    /*
        区间价格失效时间     */
    EffectiveEndTime  *int64 `json:"effective_end_time,omitempty" `

    /*
        幂等ID     */
    OutId  *string `json:"out_id,omitempty" `

    /*
        渠道     */
    ChannelCodes  *string `json:"channel_codes,omitempty" `

}

func (s *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) SetMarketingType(v int64) *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest {
    s.MarketingType = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) SetOuCode(v string) *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest {
    s.OuCode = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) SetSkuCode(v string) *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) SetPurchasePriceWithTax(v int64) *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest {
    s.PurchasePriceWithTax = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) SetPriceType(v int64) *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest {
    s.PriceType = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) SetEffectiveStartTime(v int64) *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest {
    s.EffectiveStartTime = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) SetEffectiveEndTime(v int64) *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest {
    s.EffectiveEndTime = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) SetOutId(v string) *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest {
    s.OutId = &v
    return s
}
func (s *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) SetChannelCodes(v string) *AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest {
    s.ChannelCodes = &v
    return s
}
